{smcl}
{* 02DEC2010}{...} 
{help milrtest} 
{hline}

{title:Syntax}

{phang2}
{cmd:milrtest}
{it:test_varlist}

May be used after using mim to estimate models using: {help regress:regress} {help logit:logit} and {help ologit:ologit}.

{opt by} may not be used with {opt milrtest}.

{synoptline}

{title:Warning} 
{p 4 0 2} {cmd:milrtest} is not compatible  with the current version of {cmd:mim} due to 
changes in the information returned by {cmd:mim}. An updated version of {cmd:milrtest} may become available in the future. In the 
mean time, should you wish to use {cmd:milrtest}, an older, compatible version 
of {cmd:mim} (v1.1.1) is still available (see {cmd:net sj 8-1 st0139}).{p_end}

{title:Description} 
{p 4 0 2}{cmd: milrtest} performs a likelihood ratio test on nested models after analysis of 
multiply imputed datasets using {cmd: mim}. This test is described in Meng and 
Rubin (1992, see Allison, 2001 for a more accessible source). The null hypothesis is that
the unconstrained model (i.e. the model with more independent variables) fits the data no better than
the constrained model (i.e. the model with fewer independent variables). The user runs the
unconstrained model, then specifies in {it: test_varlist} the variables to be constrained 
in the constrained model. {cmd:milrtest} should be run immediately after mim.{p_end}
{p}{cmd:milrtest} does not take {it:if} or {it:in}, instead restrictions on the sample, etc. 
are taken from mim.{p_end}

{title:Saved results}

{cmd:milrtest} saves the following in {bf:r()}

{p} Below h0 and h1 represent the null and alternative hypotheses respectively. Unconstrained 
models are those where betas (for both h0 and h1) are freely estimated each of the {it:m} 
imputed datasets. Constrained models are those where all betas (and in the case of ologit
cutpoints) are constrained to the mean of the estimates from the unconstrained model (that is,
they are constrained to the MI estimate of the coefficients).{p_end}

scalars:
          {bf:r(d_m)}          mean of likelihood ratio chi-squares for h1 vs h0 in unconstrained models
          {bf:r(d_L)}          mean of likelihood ratio chi-squares for h1 vs h0 in constrained models
          {bf:r(p)}            p value of final statistic
          {bf:r(df_d)}         denominator degrees of freedom
          {bf:r(df_n)}         numerator degrees of freedom
          {bf:r(test_stat)}    F statistic
          {bf:r(m)}            number of imputed datasets used in estimation

{p}Scalars containing the log likelihoods for each of the {it:m} imputed datasets under
various models:{p_end}
          {bf:r(h0_c_{it:m})}       Constrained model under h0 
          {bf:r(h1_c_{it:m})}       Constrained model under h1
          {bf:r(h0_uc_{it:m})}      Unconstrained model under h0
          {bf:r(h1_uc_{it:m})}      Unconstrained model under h1


macros:
          {bf:r(cmd)}        Name of the estimation command
          {bf:r(h0_model)}   Model under the null hypothesis
          {bf:r(h1_model)}   Model under the alternative hypothesis

matrices:
          {bf:r(h0_coefs)}   Coefficient estimates for null model 
          {bf:r(h1_coefs)}   Coefficient estimates for alternative model

{p}Note: The coefficient estimates for the null model {bf:r(h0_coefs)} 
and the alternative model {bf:r(h1_coefs)} are the estimates of the 
regression coefficients based on the analysis of {it:m} MI datasets. 
These are the values to which the coefficients are constrained for the
constrained model.{p_end}


{title:Example}

{bf:. use my_imputed_data}
{bf:. mim: logit y x1 x2 x3}
{bf:. milrtest x1 x2}

{title:References}

{p 0 4 2} Allison, P. D. (2001) Missing Data. Save University Papers Series on Quantitative
Applications in the Social Sciences, 07-136. Thousand Oaks, CA: Sage.{p_end}


{p 0 4 2} Carlin, J. B., Calati, J. C. & Royson, P. (2008) A new framework for managing and analyzing
multiply imputed data in Stata. The Stata Journal 8(1): 49-67.{p_end}

{p 0 4 2}Little, R. J. A., & Rubin, D. B. (2002) Statistical analysis with
 missing data. Hoboken, N.J: Wiley.{p_end}

{p 0 4 2}Meng, X. & Rubin, D. B. (1992) Performing likelihood ratio tests with multiply-imputed
data sets. Biometrika 79(1):103-111.{p_end}


    
{title:Author} 

     Statistical Consulting Group
     Institute for Digital Research and Education, UCLA
     idrestat@ucla.edu 




